Bug 1281295 - Containers: missing CFME productization for Kubernetes and Atomic providers
Containers: missing CFME productization for Kubernetes and Atomic providers
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Federico Simoncelli
Einat Pacifici
container
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 04:14 EST by Avi Tal
Modified: 2016-04-22 00:59 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:46:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of types (353.12 KB, image/png)
2015-11-12 04:14 EST, Avi Tal
no flags Details

  None (edit)
Description Avi Tal 2015-11-12 04:14:37 EST
Created attachment 1093088 [details]
List of types

Description of problem:
Attaching new provider give a list of supported providers type.
CloudForms 4.0 shouldn't support K8S out of the box.

Currently it does supply and option to add K8S

Version-Release number of selected component (if applicable):
5.5.0.9


Steps to Reproduce:
1. go to Containers -> provider 
2. Choose to create new provider
3. Check that Kubernetes is listed in "type" drop down list

Actual results:
Kubernetes will exist in the "type" drop down

Expected results:
Only OpenShift and Atomic should exist

Additional info:
Comment 2 Federico Simoncelli 2015-11-16 03:54:57 EST
(In reply to Avi Tal from comment #0)
> Expected results:
> Only OpenShift and Atomic should exist

Also, the Atomic provider should be named "Atomic Enterprise"
Comment 5 Einat Pacifici 2015-11-22 04:21:56 EST
Verified on version: CFME 5.5.0.11

Steps to Reproduce:
1. go to Containers -> provider 
2. Choose to create new provider
3. Verified that Kubernetes is not shown on dropdown menu.
Comment 7 errata-xmlrpc 2015-12-08 08:46:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.